Ticket #43561

pthread test does not try with -lpthread

Open Date: 2022-01-06 19:09 Last Update: 2022-02-25 11:50

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

I've got configure (autotools) thread model test to fail on an exotic platform as the pthreads test does not try linking with -lpthread.

Ticket History (3/6 Histories)

2022-01-06 19:09 Updated by: cazfi
  • New Ticket "pthread test does not try with -lpthread" created
2022-01-07 18:15 Updated by: cazfi
Comment

There's opposite problem with C11 threads check (it checks *only* with -lpthread): https://www.hostedredmine.com/issues/852950

2022-02-19 01:28 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
Comment

Going to push also to S2_6 (separate patch attached) as that's where AmigaOS work is first being done.

2022-02-25 11:50 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login